## GstInterpolationControlSource GstInterpolationControlSource |

## Functions

GstControlSource * | gst_interpolation_control_source_new ()

## Properties

GstInterpolationMode | mode | Read / Write

## Types and Values

struct | GstInterpolationControlSource
enum | GstInterpolationMode

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstControlSource
                    ╰── GstTimedValueControlSource
                        ╰── GstInterpolationControlSource

## Includes

    #include <libs/controller/gstinterpolationcontrolsource.h>

## Description

## Functions

### gst_interpolation_control_source_new ()

    GstControlSource *
    gst_interpolation_control_source_new (void);

## Types and Values

### struct GstInterpolationControlSource

    struct GstInterpolationControlSource;

### enum GstInterpolationMode

#### Members

GST_INTERPOLATION_MODE_NONE |  |
GST_INTERPOLATION_MODE_LINEAR |  |
GST_INTERPOLATION_MODE_CUBIC |  |
GST_INTERPOLATION_MODE_CUBIC_MONOTONIC |  |

## Property Details

### The `“mode”` property

      “mode”                     GstInterpolationMode

Interpolation mode.

Flags: Read / Write

Default value: GST_INTERPOLATION_MODE_NONE